# Uses of Interface
java.lang.classfile.CodeTransform

Packages that use CodeTransform
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of CodeTransform in java.lang.classfile

Subinterfaces with type arguments of type CodeTransform in java.lang.classfile
Modifier and Type
Interface
Description
`interface`
`CodeTransform`
A transformation on streams of `CodeElement`.
Fields in java.lang.classfile declared as CodeTransform
Modifier and Type
Field
Description
`static final CodeTransform`
CodeTransform.`ACCEPT_ALL`
A code transform that passes all elements to the builder.
Methods in java.lang.classfile that return CodeTransform
Modifier and Type
Method
Description
`default CodeTransform`
CodeTransform.`andThen(CodeTransform t)`
`static CodeTransform`
CodeTransform.`endHandler(Consumer<CodeBuilder> finisher)`
Creates a code transform that passes each element through to the builder, and calls the specified function when transformation is complete.
`static CodeTransform`
CodeTransform.`ofStateful(Supplier<CodeTransform> supplier)`
Creates a stateful code transform from a `Supplier`.
Methods in java.lang.classfile with parameters of type CodeTransform
Modifier and Type
Method
Description
`default CodeTransform`
CodeTransform.`andThen(CodeTransform t)`
`MethodBuilder`
MethodBuilder.`transformCode(CodeModel code, CodeTransform transform)`
Build the method body for this method by transforming the body of another method.
`default CodeBuilder`
CodeBuilder.`transforming(CodeTransform transform, Consumer<CodeBuilder> handler)`
Apply a transform to the code built by a handler, directing results to this builder.
`static MethodTransform`
MethodTransform.`transformingCode(CodeTransform xform)`
Creates a method transform that transforms `CodeModel` elements with the supplied code transform, passing every other element through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethodBodies(CodeTransform xform)`
Creates a class transform that transforms the `CodeAttribute` (method body) of `MethodModel` elements with the supplied code transform, passing other elements through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethodBodies(Predicate<MethodModel> filter, CodeTransform xform)`
Creates a class transform that transforms the `CodeAttribute` (method body) of `MethodModel` elements with the supplied code transform for methods that the supplied `Predicate` returns true for, passing other elements through to the builder.
Method parameters in java.lang.classfile with type arguments of type CodeTransform
Modifier and Type
Method
Description
`static CodeTransform`
CodeTransform.`ofStateful(Supplier<CodeTransform> supplier)`
Creates a stateful code transform from a `Supplier`.